Bug 753532 - Broken deps for robotics suite.
Summary: Broken deps for robotics suite.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fawkes
Version: 16
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-13 06:39 UTC by Ankur Sinha (FranciscoD)
Modified: 2012-01-11 06:08 UTC (History)
2 users (show)

Fixed In Version: fawkes-0.4.2-7.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-11 06:08:56 UTC


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-11-13 06:39:28 UTC
hello,

When I run: yum install @robotics-suite, I get broken dependencies:

--> Running transaction check
---> Package avr-binutils.x86_64 0:2.21-2.fc15 will be installed
---> Package fawkes-plugin-player.x86_64 0:0.4.2-6.fc16 will be installed
--> Processing Dependency: libgeos-3.3.0.so()(64bit) for package: fawkes-plugin-player-0.4.2-6.fc16.x86_64
--> Finished Dependency Resolution
Error: Package: fawkes-plugin-player-0.4.2-6.fc16.x86_64 (fedora)
           Requires: libgeos-3.3.0.so()(64bit)
 You could try using --skip-broken to work around the problem


With skib broken, the following packages are skipped. 

Packages skipped because of dependency problems:
    fawkes-0.4.2-6.fc16.x86_64 from fedora
    fawkes-doc-0.4.2-6.fc16.noarch from fedora
    fawkes-plugin-player-0.4.2-6.fc16.x86_64 from fedora
    geos-3.3.1-1.fc16.x86_64 from fedora
    1:libpqxx-3.2-0.1.fc16.x86_64 from fedora
    libstatgrab-0.17-1.fc16.x86_64 from fedora
    player-3.0.2-14.fc16.x86_64 from fedora
    player-examples-3.0.2-14.fc16.noarch from fedora
    player-python-3.0.2-14.fc16.x86_64 from fedora
    player-ruby-3.0.2-14.fc16.x86_64 from fedora
    postgresql-libs-9.1.1-1.fc16.x86_64 from fedora
    stage-playerplugin-4.0.1-1.0e7f6agit.fc16.x86_64 from fedora

Always reproducible. :)

Thanks,
Ankur

Comment 1 Michael Schwendt 2011-12-27 11:57:57 UTC
The culprit is this incompatible update of "geos":
https://admin.fedoraproject.org/updates/FEDORA-2011-14436/geos-3.3.1-1.fc16

Comment 2 Fedora Update System 2012-01-01 04:49:51 UTC
fawkes-0.4.2-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fawkes-0.4.2-7.fc16

Comment 3 Fedora Update System 2012-01-01 21:20:58 UTC
Package fawkes-0.4.2-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fawkes-0.4.2-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0001/fawkes-0.4.2-7.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-01-11 06:08:56 UTC
fawkes-0.4.2-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.